> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/image/modifyimagesattributes.md).

# ModifyImagesAttributes

## 1. API Description

This API (ModifyImagesAttributes) is used to the API is used to modify the attributes of one or more images.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Only the custom image name and description can be modified for now.</mark>
* <mark style="color:blue;">All the specified disks will be modified the same attributes.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type            | Description                                                                                                                                                  |
| ---------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| imageIds         | Yes      | Array of String | <p>ID list of images.</p><p>Call DescribeImages and find imageId in the response.</p>                                                                        |
| imageDescription | No       | String          | <p>Image description.</p><p>This parameter must contain up to 255 characters.</p>                                                                            |
| imageName        | No       | String          | <p>Image name to be displayed.</p><p>This parameter must contain up to 24 characters. Only Chinese characters, letters, numbers, - and \_ are supported.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of images.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyImagesAttributes
<Common Request Params>

Request:
{
  "imageIds": [
    "img-xxxxx"
  ],
  "imageDescription": "test-description",
  "imageName": "test-imageName"
}

Response:
{
  "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682",
  "response": {
    "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/image/modifyimagesattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
